body, *{
    margin: 0;
    padding: 0;
    font-family: Raleway;
    outline: none;
}

body{
    background: #f7f7f7;
}

[class*="__container"]{
    max-width: 1100px;
    margin: 0px auto;
}

.header{
    width: 100%;
    padding: 100px 0px;
    box-sizing: border-box;
    background: linear-gradient(#00000074, #00000074), url('bg.jpg');
    background-position: center;
    background-size: cover;
}

.header__title{
    text-align: center;
    font-size: 20px;
    color: #fff;
    font-size: 60px;
    font-weight: 700;
    font-family: Raleway;
    letter-spacing: 10px;
}

.header__text{
    text-align: center;
    padding: 30px 0px;
    width: 700px;
    margin: 0px auto;
    color: #fff;
}

.header__button{
    display: flex;
    justify-content: center;
}

.header__button a{
    background: #002aff;
    padding: 15px 30px;
    border-radius: 10px;
    color: #fff;
    text-decoration: none;
    transition: 0.5s;
}

.header__button a:hover{
    background: #001891;
}

.about{
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 30px;
    padding: 70px 0px;

    max-width: 900px;
    margin: 0px auto;
}

.about__logo img{
    width: 200px;
}

.about__text{
    font-family: Raleway;
}

.services{
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 70px;
}

.services__block{
    width: 260px;
    height: 300px;
    background: #fff;
    border-radius: 10px;
    padding: 20px;
    box-sizing: border-box;
    box-shadow: 0px 0px 8px 0px rgba(34, 60, 80, 0.2);

    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    gap: 20px;
}

.services__icon{
    color: #002aff;
    font-size: 70px;
}

.services__text{
    text-align: center;
}

.contacts{
    width: 100%;
    margin: 70px 0px;
    padding: 50px 0px;
    box-sizing: border-box;
    background: url('https://web.archive.org/web/20250329003154im_/https://bogatyr.club/uploads/posts/2023-03/1678165394_bogatyr-club-p-kvadrokopteri-professionalnie-foni-krasivo-27.jpg');
    background-size: cover;
    background-attachment: fixed;
}

.contacts__block{
    padding: 40px;
    box-sizing: border-box;
    background: #ffffffab;
    border-radius: 10px;
    width: 900px;
    margin: 0px auto;
}

.contacts .header__title{
    color: #000;
}

.contacts__text{
    text-align: center;
    font-size: 30px;
    margin-top: 20px;
}

.contacts .header__button{
    margin-top: 20px;
}

.models__title{
    font-size: 25px;
    font-weight: 600;
}

.models__grid{
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-top: 20px;
}


.models__block{
    width: 200px;
    box-shadow: 0px 0px 8px 0px rgba(34, 60, 80, 0.2);
    padding: 10px;
    box-sizing: border-box;
    border-radius: 10px;
}

.models__image img{
    width: 100%;
    height: 130px;
    object-fit: cover;
}

.models__button{
    margin-top: 20px;
}

.models__button a{
    padding: 10px 0px;
    width: 100%;
    display: flex;
    background: #002aff;
    justify-content: center;
    border-radius: 10px;
    color: #fff;
    text-decoration: none;
}

@media (max-width: 768px) {
    [class*="__container"]{
        max-width: 700px;
        margin: 0px auto;
    }

    .models__grid{
        flex-wrap: wrap;
        justify-content: center;
        gap: 10px;
    }

    .contacts__block{
        width: 100%;
    }

    .services__block{
        width: 300px;
    }
}

@media (max-width: 425px) {
    [class*="__container"]{
        max-width: 300px;
        margin: 0px auto;
    }

    .header__title{
        font-size: 25px;
    }

    .contacts .header__title{
        font-size: 16px;
    }

    .header__text{
        width: 100%;
    }

    .header__button a{
        font-size: 15px;
    }

    .about{
        flex-direction: column;
    }

    .models__block{
        width: 100%;
    }

    .services{
        flex-wrap: wrap;
        gap: 10px;
    }

    .header__button{
        font-size: 15px;
        text-align: center;
    }

    .contacts__text{
        font-size: 20px;
    }

    .popup{
        width: 300px !important;
    }

    .inputs{
        flex-direction: column;
    }

    .inputs input{
        width: 100% !important;
        margin-bottom: 10px;
    }
}

.popup__bg {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    background: rgba(0,0,0,0.5);
    opacity: 0; 
    pointer-events: none;
    transition: 0.5s all;
}

.popup__bg.active { 
    opacity: 1; 
    pointer-events: all; 
    transition: 0.5s all;
}

.popup {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%) scale(0);
    background: #fff;
    width: 400px;
    padding: 25px;
    transition: 0.5s all;
    border-radius: 10px;
}

.popup.active { 
    transform: translate(-50%, -50%) scale(1); 
    transition: 0.5s all;
}

.header__popup{
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.title__header{
    font-size: 20px;
}

.inputs{
    margin: 10px 0px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.inputs input{
    width: 48%;
    padding: 10px 20px;
    box-sizing: border-box;
    border: 1px solid #d0d0d0;
    border-radius: 10px;
}

.popup button{
    width: 100%;
    padding: 10px 0px;
    background: #002aff;
    cursor: pointer;
    border: none;
    border-radius: 10px;
    color: #fff;
    font-weight: 800;
    transition: 0.4s;
}

.popup button:hover{
    background: #001891;
}

.hr{
    width: 100%;
    height: 1px;
    background: #b9b9b9;
    margin: 20px 0px;
}

.footer__text{
    text-align: center;
    margin-top: 20px;
    margin-bottom: 30px;
}
/*
     FILE ARCHIVED ON 00:31:54 Mar 29, 2025 AND RETRIEVED FROM THE
     INTERNET ARCHIVE ON 11:04:25 Feb 27, 2026.
     JAVASCRIPT APPENDED BY WAYBACK MACHINE, COPYRIGHT INTERNET ARCHIVE.

     ALL OTHER CONTENT MAY ALSO BE PROTECTED BY COPYRIGHT (17 U.S.C.
     SECTION 108(a)(3)).
*/
/*
playback timings (ms):
  captures_list: 0.528
  exclusion.robots: 0.015
  exclusion.robots.policy: 0.005
  esindex: 0.01
  cdx.remote: 62.657
  LoadShardBlock: 98.603 (3)
  PetaboxLoader3.datanode: 116.206 (4)
  load_resource: 177.949
  PetaboxLoader3.resolve: 112.39
*/